{"items":[{"type":"link","label":"Embed API","link":"/embed-api/openapi","routeSlug":"/embed-api/openapi","content":{"contentType":"overview","meta":{"name":"Embed API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"openapi.json","url":"/_bundle/embed-api/openapi.json?download"},{"kind":"download","label":"openapi.yaml","url":"/_bundle/embed-api/openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"URL","titleTranslationKey":"info.contact.url","label":"https://docue.com","url":"https://docue.com"},{"kind":"email","title":"E-mail","titleTranslationKey":"info.contact.name","email":"support@docue.com","label":"support@docue.com","withCopyButton":true,"copyContent":"support@docue.com"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.embed.docue.com","description":"Production (Sign Engine)"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Embed API (1.0.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[]}],"sectionId":"/embed-api/openapi"}],"sectionId":"/embed-api/openapi"},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"section/authentication"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Authentication"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"All endpoints in this API require Bearer authentication using an API key. Include the API key obtained from the customer portal in the Authorization header of each request, formatted as follows:"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"Authorization: Bearer <api_key>\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"Authorization: Bearer <api_key>\n"},"children":[]}]}]}],"sectionId":"/embed-api/openapi/section/authentication"},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"section/base-urls"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Base URLs"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Legal Engine endpoints ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/api/..."},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") are served from "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"https://api.builder.docue.com"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and Sign Engine endpoints ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/sign/..."},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") from "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"https://api.embed.docue.com"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". The same API key works for both."},"children":[]}]}]}]}],"sectionId":"/embed-api/openapi/section/base-urls"}]}]}},{"type":"link","label":"Authentication","link":"/embed-api/openapi/section/authentication","routeSlug":"/embed-api/openapi/section/authentication","content":null},{"type":"link","label":"Base URLs","link":"/embed-api/openapi/section/base-urls","routeSlug":"/embed-api/openapi/section/base-urls","content":null},{"type":"group","label":"Workspaces","link":"/embed-api/openapi/workspaces","routeSlug":"/embed-api/openapi/workspaces","items":[{"label":"Get current workspace","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/workspaces/getcurrentworkspace","routeSlug":"/embed-api/openapi/workspaces/getcurrentworkspace","metadata":{"seo":{"title":"Get current workspace","description":"Get current workspace"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getCurrentWorkspace","name":"Get current workspace","isWebhook":false,"pointer":"/paths/~1api~1workspaces~1current/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get current workspace","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1workspaces~1current/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/workspaces/current","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/workspaces/current","href":"workspaces/getcurrentworkspace","openApiOperationId":"getCurrentWorkspace","summary":"Get current workspace"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_1","exampleIds":["paths/~1api~1workspaces~1current/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_1","exampleIds":["paths/~1api~1workspaces~1current/get/responses/200/content/application~1json/example"]}],"pointer":"/paths/~1api~1workspaces~1current/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_1","exampleIds":["paths/~1api~1workspaces~1current/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_1","exampleIds":["paths/~1api~1workspaces~1current/get/responses/200/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workspaces/getcurrentworkspace"}],"panels":[]}]},"httpPath":"/api/workspaces/current"}],"content":{"contentType":"group","meta":{"name":"Workspaces"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Workspaces","showPageActions":true},{"nodeType":"markdoc","content":"Endpoint for fetching information about the authenticated workspace. It can be used to test if the API authentication works."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/workspaces/current","summary":"Get current workspace","prefix":{"name":"get","color":"get"},"badges":[],"link":"/workspaces/getcurrentworkspace","deprecated":false}]}]}]}]}},{"type":"group","label":"Templates","link":"/embed-api/openapi/templates","routeSlug":"/embed-api/openapi/templates","items":[{"label":"List templates","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/templates/gettemplates","routeSlug":"/embed-api/openapi/templates/gettemplates","metadata":{"seo":{"title":"List templates","description":"Fetch templates available for the authenticated workspace."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getTemplates","name":"List templates","isWebhook":false,"pointer":"/paths/~1api~1templates/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List templates","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Fetch templates available for the authenticated workspace."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"filter[query]"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to search templates by title with a partial, case-insensitive match."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET /api/templates?filter[query]=employment"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"filter[collection]"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to only return templates that belong to a specific collection ID."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET /api/templates?filter[collection]=01965c7e-dc1e-7292-8199-8184041c1204"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can combine both filters in one request."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET /api/templates?filter[query]=employment&filter[collection]=01965c7e-dc1e-7292-8199-8184041c1204"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"To include template collections in each template item, request "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"include=collections"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"per_page","in":"query","schemaId":"schema_2","description":"Number of items per page."},{"name":"page","in":"query","schemaId":"schema_3","description":"Page number to retrieve. Defaults to 1."},{"name":"filter[query]","in":"query","schemaId":"schema_4","description":"Filter templates by a partial match against the localized title.","example":"employment"},{"name":"filter[collection]","in":"query","schemaId":"schema_5","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Filter templates to those belonging to the specified template collection. Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET /api/template-collections"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to discover available collection IDs. Please note that a template may belong to multiple collections."},"children":[]}]}]}],"example":"01965c7e-dc1e-7292-8199-8184041c1204"},{"name":"sort","in":"query","schemaId":"schema_4","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sort order for the template list. Use the field name for ascending order, or prefix with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"-"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" for descending order (for example, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" sorts by localized title ascending; "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"-title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" sorts descending)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Allowed sort fields: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"created_at"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"updated_at"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Multiple sorts can be combined in one parameter as a comma-separated list (for example, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"sort=title,-created_at"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":")."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When sorting by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", set "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"sort_locale"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to control which translation is preferred for the comparison. If "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"sort_locale"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is omitted, the API compares titles using a fallback across all supported languages."},"children":[]}]}]}],"example":"title"},{"name":"sort_locale","in":"query","schemaId":"schema_6","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Locale code used when sorting by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": that language’s string is preferred when comparing titles (other languages are still used as fallback). Must be one of the supported Builder language codes. Ignored when the active sort does not use localized title."},"children":[]}]}]}],"example":"en-GB"},{"name":"include","in":"query","schemaId":"schema_7","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Comma delimited list of optional relationships to include. "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"br","attrs":{}},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Available includes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"collections"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"jurisdictions"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"languages"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"example":"collections,languages,jurisdictions"}],"pointer":"/paths/~1api~1templates/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1templates/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/templates","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[],"query":[{"name":"per_page","in":"query","required":false,"example":20,"schemaId":"schema_2"},{"name":"page","in":"query","required":false,"example":1,"schemaId":"schema_3"},{"name":"filter[query]","in":"query","required":false,"example":"employment","schemaId":"schema_4"},{"name":"filter[collection]","in":"query","required":false,"example":"01965c7e-dc1e-7292-8199-8184041c1204","schemaId":"schema_5"},{"name":"sort","in":"query","required":false,"example":"title","schemaId":"schema_4"},{"name":"sort_locale","in":"query","required":false,"example":"en-GB","schemaId":"schema_6"},{"name":"include","in":"query","required":false,"example":"collections,languages,jurisdictions","schemaId":"schema_7"}],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/templates","href":"templates/gettemplates","openApiOperationId":"getTemplates","summary":"List templates"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response with a list of templates.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_8","exampleIds":["paths/~1api~1templates/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_8","exampleIds":["paths/~1api~1templates/get/responses/200/content/application~1json/example"]}],"pointer":"/paths/~1api~1templates/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_8","exampleIds":["paths/~1api~1templates/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_8","exampleIds":["paths/~1api~1templates/get/responses/200/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/templates/gettemplates"}],"panels":[]}]},"httpPath":"/api/templates"},{"label":"List template collections","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/templates/gettemplatecollections","routeSlug":"/embed-api/openapi/templates/gettemplatecollections","metadata":{"seo":{"title":"List template collections","description":"Fetch the available template collections."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getTemplateCollections","name":"List template collections","isWebhook":false,"pointer":"/paths/~1api~1template-collections/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List template collections","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Fetch the available template collections."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"To fetch templates that belong to a collection, refer to the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET /api/templates"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" endpoint and use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"filter[collection]"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"per_page","in":"query","schemaId":"schema_2","description":"Number of items per page."},{"name":"page","in":"query","schemaId":"schema_3","description":"Page number to retrieve. Defaults to 1."},{"name":"filter[query]","in":"query","schemaId":"schema_4","description":"Filter collections by a partial match against the localized title.","example":"HR"},{"name":"sort","in":"query","schemaId":"schema_4","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sort order for the template collection list. Use the field name for ascending order, or prefix with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"-"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" for descending order (for example, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" sorts by localized title ascending; "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"-title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" sorts descending)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Allowed sort fields: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"updated_at"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When sorting by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", set "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"sort_locale"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to control which translation is preferred for the comparison. If "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"sort_locale"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is omitted, the API compares titles using a fallback across all supported languages."},"children":[]}]}]}],"example":"title"},{"name":"sort_locale","in":"query","schemaId":"schema_6","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Locale code used when sorting by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": that language’s string is preferred when comparing titles (other languages are still used as fallback). Must be one of the supported Builder language codes. Ignored when the active sort does not use localized title."},"children":[]}]}]}],"example":"en-GB"}],"pointer":"/paths/~1api~1template-collections/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1template-collections/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/template-collections","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[],"query":[{"name":"per_page","in":"query","required":false,"example":20,"schemaId":"schema_2"},{"name":"page","in":"query","required":false,"example":1,"schemaId":"schema_3"},{"name":"filter[query]","in":"query","required":false,"example":"HR","schemaId":"schema_4"},{"name":"sort","in":"query","required":false,"example":"title","schemaId":"schema_4"},{"name":"sort_locale","in":"query","required":false,"example":"en-GB","schemaId":"schema_6"}],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/template-collections","href":"templates/gettemplatecollections","openApiOperationId":"getTemplateCollections","summary":"List template collections"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response with a list of template collections.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_9","exampleIds":["paths/~1api~1template-collections/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_9","exampleIds":["paths/~1api~1template-collections/get/responses/200/content/application~1json/example"]}],"pointer":"/paths/~1api~1template-collections/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_9","exampleIds":["paths/~1api~1template-collections/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_9","exampleIds":["paths/~1api~1template-collections/get/responses/200/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/templates/gettemplatecollections"}],"panels":[]}]},"httpPath":"/api/template-collections"},{"label":"Get a single template","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/templates/gettemplatebyid","routeSlug":"/embed-api/openapi/templates/gettemplatebyid","metadata":{"seo":{"title":"Get a single template","description":"Fetch one template by ID."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getTemplateById","name":"Get a single template","isWebhook":false,"pointer":"/paths/~1api~1templates~1{template_id}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a single template","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Fetch one template by ID."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"include=collections"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to include the template's collection memberships. You can also include "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"languages"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"jurisdictions"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"template_id","in":"path","schemaId":"schema_10","description":"The UUID of the template to retrieve.","required":true}],"pointer":"/paths/~1api~1templates~1{template_id}/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"include","in":"query","schemaId":"schema_7","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Comma delimited list of optional relationships to include. "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"br","attrs":{}},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Available includes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"collections"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"jurisdictions"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"languages"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"example":"collections,languages,jurisdictions"}],"pointer":"/paths/~1api~1templates~1{template_id}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1templates~1{template_id}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/templates/{template_id}","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[{"name":"template_id","in":"path","required":true,"example":"7f3f5f62-2c69-7d4e-8a3d-9c0f0e2c5f3a","schemaId":"schema_10"}],"query":[{"name":"include","in":"query","required":false,"example":"collections,languages,jurisdictions","schemaId":"schema_7"}],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200","404"],"pointer":"/api/templates/{template_id}","href":"templates/gettemplatebyid","openApiOperationId":"getTemplateById","summary":"Get a single template"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully retrieved the template.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_11","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_11","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/200/content/application~1json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/404/content/application~1json/example"]}],"pointer":"/paths/~1api~1templates~1{template_id}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_11","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_11","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1templates~1{template_id}/get/responses/404/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/templates/gettemplatebyid"}],"panels":[]}]},"httpPath":"/api/templates/{template_id}"}],"content":{"contentType":"group","meta":{"name":"Templates"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Templates","showPageActions":true},{"nodeType":"markdoc","content":"Fetch a list of all available templates. Use this if you want to create a fully customized UI for selecting templates. If you prefer to use our ready-made UI, you can use the Template Browser instead."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/templates","summary":"List templates","prefix":{"name":"get","color":"get"},"badges":[],"link":"/templates/gettemplates","deprecated":false},{"title":"/api/template-collections","summary":"List template collections","prefix":{"name":"get","color":"get"},"badges":[],"link":"/templates/gettemplatecollections","deprecated":false},{"title":"/api/templates/{template_id}","summary":"Get a single template","prefix":{"name":"get","color":"get"},"badges":[],"link":"/templates/gettemplatebyid","deprecated":false}]}]}]}]}},{"type":"group","label":"Template browser","link":"/embed-api/openapi/template-browser","routeSlug":"/embed-api/openapi/template-browser","items":[{"label":"Create a new browser session","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/template-browser/createbrowsersession","routeSlug":"/embed-api/openapi/template-browser/createbrowsersession","metadata":{"seo":{"title":"Create a new browser session","description":"To use our template browser for selecting the correct template, create a new browser session and redirect the end user to our app. Our app will then redirect the user back to your app to the URL defined in the handlers."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createBrowserSession","name":"Create a new browser session","isWebhook":false,"pointer":"/paths/~1api~1browser~1sessions/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a new browser session","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"To use our template browser for selecting the correct template, create a new browser session and redirect the end user to our app. Our app will then redirect the user back to your app to the URL defined in the handlers."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"By creating a new browser session, you receive a redirect URL to send the end user. You also obtain a browser session ID, which allows you to retrieve the selected template, language, and the document title provided by the end user."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The redirect URL is a secure link to our hosted app. It contains a one-time authorization token to authenticate the end user securely. Our app exchanges the token for a session cookie, granting access to this specific browser session only."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The session expires after 15 minutes if the user has not been redirected to the URL."},"children":[]}]}]},{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"template-browser/createbrowsersession/request/handlers","deepLinkHash":"/template-browser/createbrowsersession#template-browser/createbrowsersession/request/handlers"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Handlers"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When creating a browser session, you must provide handler URLs."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Success handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL after successfully selecting the template and other details. Please note that the user may be redirected to this URL multiple times if they navigate back to the session using the browser's history."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Cancel handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL when they intentionally cancel the template selection by clicking the \"back button\" in the header. They can continue using the template browser if they navigate back to the session using the browser's history; therefore, this may be called multiple times."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Delete handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL when the browser session expires or is deleted via the API. In many cases, it is acceptable to use the same endpoint as in the cancel handler. This may be called multiple times."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Error handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL when something unexpected occurs."},"children":[]}]}]},{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"template-browser/createbrowsersession/request/handler-url-parameters","deepLinkHash":"/template-browser/createbrowsersession#template-browser/createbrowsersession/request/handler-url-parameters"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Handler url parameters"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The handler URL is appended (existing query parameters will remain intact) with the following query parameters:"},"children":[]}]}]},{"$$mdtype":"Node","type":"table","attributes":{},"children":[{"$$mdtype":"Node","type":"thead","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Parameter"},"children":[]}]}]},{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Description"},"children":[]}]}]}]}]},{"$$mdtype":"Node","type":"tbody","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"session_id"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Template browser session ID"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"template_id"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ID of the selected template (only on success)"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"document_name"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Name the end-user choosed for the document (only on success)"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"languages[0]"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Primary language of the document    (only on success)"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"languages[1]"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Secondary language of the document (only on success, optional)"},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"For example, if you have defined success handler:"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"\"success_handler\": {\n  \"endpoint\": \"https://example.com?handler=success\",\n  \"method\": \"GET\"\n}\n","language":"json"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"\"success_handler\": {\n  \"endpoint\": \"https://example.com?handler=success\",\n  \"method\": \"GET\"\n}\n"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user will be redirected to URL:"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"https://example.com?handler=success&session_id=0195c6eb-99ae-73c1-94f0-1763b872735d&template_id=0195c6eb-99ae-73c1-cc3a-1763b8743333d&language[0]=en-GB&document_name=Employment%20Agreement\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"https://example.com?handler=success&session_id=0195c6eb-99ae-73c1-94f0-1763b872735d&template_id=0195c6eb-99ae-73c1-cc3a-1763b8743333d&language[0]=en-GB&document_name=Employment%20Agreement\n"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"In most cases, you want to immediately start a new "},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"builder session"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" using the provided data and redirect the user back to our UI."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1browser~1sessions/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateBrowserSessionPayload","exampleIds":["paths/~1api~1browser~1sessions/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/CreateBrowserSessionPayload","exampleIds":["paths/~1api~1browser~1sessions/post/requestBody/content/application~1json/example"],"pointer":"/paths/~1api~1browser~1sessions/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/browser/sessions","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateBrowserSessionPayload","exampleIds":["paths/~1api~1browser~1sessions/post/requestBody/content/application~1json/example"]}},"responseCodes":["201"],"pointer":"/api/browser/sessions","href":"template-browser/createbrowsersession","openApiOperationId":"createBrowserSession","summary":"Create a new browser session"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"schemaId":"components/schemas/CreateBrowserSessionPayload","exampleIds":["paths/~1api~1browser~1sessions/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateBrowserSessionPayload","exampleIds":["paths/~1api~1browser~1sessions/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Successful response with details about the browser session.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_12","exampleIds":["paths/~1api~1browser~1sessions/post/responses/201/content/application~1json/example"]}},"schemaId":"schema_12","exampleIds":["paths/~1api~1browser~1sessions/post/responses/201/content/application~1json/example"]}],"pointer":"/paths/~1api~1browser~1sessions/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"schema_12","exampleIds":["paths/~1api~1browser~1sessions/post/responses/201/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_12","exampleIds":["paths/~1api~1browser~1sessions/post/responses/201/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/template-browser/createbrowsersession"}],"panels":[]}]},"httpPath":"/api/browser/sessions"},{"label":"Retrieve details of existing browser session","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/template-browser/getbrowsersession","routeSlug":"/embed-api/openapi/template-browser/getbrowsersession","metadata":{"seo":{"title":"Retrieve details of existing browser session","description":"Returns details of the existing browser session. This information can serve as the source of truth when the user is redirected to your success handler."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getBrowserSession","name":"Retrieve details of existing browser session","isWebhook":false,"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Retrieve details of existing browser session","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns details of the existing browser session. This information can serve as the source of truth when the user is redirected to your success handler.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"session_id","in":"path","schemaId":"schema_10","description":"The UUID of the session to retrieve.","required":true}],"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/browser/sessions/{session_id}","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[{"name":"session_id","in":"path","required":true,"example":"7f3f5f62-2c69-7d4e-8a3d-9c0f0e2c5f3a","schemaId":"schema_10"}],"query":[],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200","404"],"pointer":"/api/browser/sessions/{session_id}","href":"template-browser/getbrowsersession","openApiOperationId":"getBrowserSession","summary":"Retrieve details of existing browser session"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully retrieved the session.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/200/content/application~1json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/404/content/application~1json/example"]}],"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/get/responses/404/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/template-browser/getbrowsersession"}],"panels":[]}]},"httpPath":"/api/browser/sessions/{session_id}"},{"label":"Delete browser session","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/template-browser/deletebrowsersession","routeSlug":"/embed-api/openapi/template-browser/deletebrowsersession","metadata":{"seo":{"title":"Delete browser session","description":"Invalidates the browser session. The session remains accessible through the API for a limited time before it is permanently deleted. If the end user is still viewing the page, they will be redirected to the delete handler URL you specified."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"deleteBrowserSession","name":"Delete browser session","isWebhook":false,"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete browser session","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Invalidates the browser session. The session remains accessible through the API for a limited time before it is permanently deleted. If the end user is still viewing the page, they will be redirected to the delete handler URL you specified."},"children":[]}]}]},{"$$mdtype":"Node","type":"blockquote","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"There is no need to delete completed sessions; they will be automatically pruned after a certain period."},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"session_id","in":"path","schemaId":"schema_10","description":"The UUID of the session to delete.","required":true}],"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/delete/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/api/browser/sessions/{session_id}","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[{"name":"session_id","in":"path","required":true,"example":"7f3f5f62-2c69-7d4e-8a3d-9c0f0e2c5f3a","schemaId":"schema_10"}],"query":[],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200","404"],"pointer":"/api/browser/sessions/{session_id}","href":"template-browser/deletebrowsersession","openApiOperationId":"deleteBrowserSession","summary":"Delete browser session"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully deleted the session.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/200/content/application~1json/example"]}},"schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/200/content/application~1json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/404/content/application~1json/example"]}],"pointer":"/paths/~1api~1browser~1sessions~1{session_id}/delete/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_13","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1browser~1sessions~1{session_id}/delete/responses/404/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/template-browser/deletebrowsersession"}],"panels":[]}]},"httpPath":"/api/browser/sessions/{session_id}"}],"content":{"contentType":"group","meta":{"name":"Template browser"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Template browser","showPageActions":true},{"nodeType":"markdoc","content":"Hosted UI for end users to select the appropriate template. Use this if you want to take advantage of our UI."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/browser/sessions","summary":"Create a new browser session","prefix":{"name":"post","color":"post"},"badges":[],"link":"/template-browser/createbrowsersession","deprecated":false},{"title":"/api/browser/sessions/{session_id}","summary":"Retrieve details of existing browser session","prefix":{"name":"get","color":"get"},"badges":[],"link":"/template-browser/getbrowsersession","deprecated":false},{"title":"/api/browser/sessions/{session_id}","summary":"Delete browser session","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/template-browser/deletebrowsersession","deprecated":false}]}]}]}]}},{"type":"group","label":"Builder","link":"/embed-api/openapi/builder","routeSlug":"/embed-api/openapi/builder","items":[{"label":"Create a new builder session","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/builder/createbuildersession","routeSlug":"/embed-api/openapi/builder/createbuildersession","metadata":{"seo":{"title":"Create a new builder session","description":"A builder session is required to start drafting a document in the Builder through the Embed API. Each session is isolated and contains all document-related data. Once the session ends, all data is deleted from our servers."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createBuilderSession","name":"Create a new builder session","isWebhook":false,"pointer":"/paths/~1api~1builder~1sessions/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a new builder session","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A builder session is required to start drafting a document in the Builder through the Embed API. Each session is isolated and contains all document-related data. Once the session ends, all data is deleted from our servers."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"To create a session, you need:"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A template ID - Get this from our Template Listing API or let the end-user pick one via the hosted Template Browser UI."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A list of languages - The languages must match the languages available for the selected template. The language determines the final document's language that the end-user drafts. Currently, only one language can be provided."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A document name - Acts like a file name. It's shown in the builder UI and can be edited by the end-user."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Participant details"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can provide end-user details, such as display name and email, for your reference. These will be required later for collaboration features like commenting, but they are not currently in use. You can use the External ID field to store your internal user ID, which you can later use to match our participants with your users if needed."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Trial mode"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can optionally enable trial mode by providing "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"trial"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" configuration in the request payload. Trial mode configures trial-related texts and CTA shown in the Builder UI."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Trial sessions cannot be finalized with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /api/builder/sessions/{session_id}/contract/finalize"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"HTML support in trial fields:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"heading_text"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": HTML supported (sanitized). Allowed tags: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"strong"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"b"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"wbr"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"finalize_content"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": HTML supported (sanitized). Allowed tags: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"strong"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"b"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"wbr"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"br"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"li"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"ul"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"h2"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"h3"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"h4"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"p"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"heading_cta_text"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"preview_text"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"finalize_title"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"finalize_cta_text"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": plain text only (HTML not supported)."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Finalization confirmation"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can optionally provide "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"finalization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" settings to control the confirmation dialog shown before finalization. Omit "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"finalization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to use the default dialog."},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"confirmation_enabled"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" controls whether confirmation dialog is shown before finalization."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"confirmation_text"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": HTML supported. Allowed tags: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"strong"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"b"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"wbr"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"confirmation_enabled"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"true"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"confirmation_text"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"null"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", the Builder UI falls back to its default confirmation message."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If trial mode is enabled ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"trial"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is not "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"null"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"), "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"finalization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" settings are ignored."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"For more details and an example of the default dialog, see the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"/embed-api/legal-engine/finalize-confirmation"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Finalize confirmation dialog"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" guide."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Redirect URL"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"After creating a session, you'll get a one-time URL to send the end-user to our hosted builder UI. Opening the link creates a secure session with access to that document only."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The redirect URL is valid for 15 minutes."},"children":[]}]}]},{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"builder/createbuildersession/request/handlers","deepLinkHash":"/builder/createbuildersession#builder/createbuildersession/request/handlers"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Handlers"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You need to provide handlers that redirect the end user back to your service after drafting."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Success handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL after completing the drafting session and filling in all the required information. The document is then considered \"ready\" and cannot be altered. Please note that the endpoint may be called multiple times if users navigates back to our builder via browser history."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Cancel handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL after canceling the drafting session. The builder session remains intact. If the user navigates back to our UI using browser history, they can resume drafting. Therefore, it is possible for this handler to be called multiple times."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Delete handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL after the document is deleted. Document can be deleted via API and end-users can delete the document through the UI. Once deleted, the document cannot be altered, but it remains accessible via the API for a certain period before being permanently deleted. If the user navigates back to the builder after deletion, they will be automatically redirected to this handler. Consequently, this endpoint may be called multiple times."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Error handler"},"children":[]}]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The user is redirected to this URL when an unexpected error occurs."},"children":[]}]}]},{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"builder/createbuildersession/request/handler-url-parameters","deepLinkHash":"/builder/createbuildersession#builder/createbuildersession/request/handler-url-parameters"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Handler url parameters"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Handler URLs are appended (existing parameters will remain unchanged) with the following query parameters:"},"children":[]}]}]},{"$$mdtype":"Node","type":"table","attributes":{},"children":[{"$$mdtype":"Node","type":"thead","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Parameter"},"children":[]}]}]},{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Description"},"children":[]}]}]}]}]},{"$$mdtype":"Node","type":"tbody","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"session_id"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Builder session ID"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"participant_id"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Builder participant ID"},"children":[]}]}]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1builder~1sessions/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateBuilderSessionPayload","exampleIds":["paths/~1api~1builder~1sessions/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/CreateBuilderSessionPayload","exampleIds":["paths/~1api~1builder~1sessions/post/requestBody/content/application~1json/example"],"pointer":"/paths/~1api~1builder~1sessions/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/builder/sessions","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateBuilderSessionPayload","exampleIds":["paths/~1api~1builder~1sessions/post/requestBody/content/application~1json/example"]}},"responseCodes":["201"],"pointer":"/api/builder/sessions","href":"builder/createbuildersession","openApiOperationId":"createBuilderSession","summary":"Create a new builder session"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"schemaId":"components/schemas/CreateBuilderSessionPayload","exampleIds":["paths/~1api~1builder~1sessions/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateBuilderSessionPayload","exampleIds":["paths/~1api~1builder~1sessions/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Successful response with details about the builder session.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_14","exampleIds":["paths/~1api~1builder~1sessions/post/responses/201/content/application~1json/example"]}},"schemaId":"schema_14","exampleIds":["paths/~1api~1builder~1sessions/post/responses/201/content/application~1json/example"]}],"pointer":"/paths/~1api~1builder~1sessions/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"schema_14","exampleIds":["paths/~1api~1builder~1sessions/post/responses/201/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_14","exampleIds":["paths/~1api~1builder~1sessions/post/responses/201/content/application~1json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/builder/createbuildersession"}],"panels":[]}]},"httpPath":"/api/builder/sessions"},{"label":"Retrieve details of existing builder session","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/embed-api/openapi/builder/getbuildersession","routeSlug":"/embed-api/openapi/builder/getbuildersession","metadata":{"seo":{"title":"Retrieve details of existing builder session","description":"Returns details of the existing builder session."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getBuilderSession","name":"Retrieve details of existing builder session","isWebhook":false,"pointer":"/paths/~1api~1builder~1sessions~1{session_id}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Retrieve details of existing builder session","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns details of the existing builder session.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"APIKey","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API authentication using bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"session_id","in":"path","schemaId":"schema_10","description":"The UUID of the session to retrieve.","required":true}],"pointer":"/paths/~1api~1builder~1sessions~1{session_id}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Accept","in":"header","schemaId":"schema_0","description":"Specify the response format.","required":true}],"pointer":"/paths/~1api~1builder~1sessions~1{session_id}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/builder/sessions/{session_id}","servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"parameters":{"path":[{"name":"session_id","in":"path","required":true,"example":"7f3f5f62-2c69-7d4e-8a3d-9c0f0e2c5f3a","schemaId":"schema_10"}],"query":[],"querystring":[],"header":[{"name":"Accept","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"APIKey","type":"http","scheme":"bearer","bearerFormat":"API Key"}],"scopes":[]}],"responseCodes":["200","404"],"pointer":"/api/builder/sessions/{session_id}","href":"builder/getbuildersession","openApiOperationId":"getBuilderSession","summary":"Retrieve details of existing builder session"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.builder.docue.com","description":"Production (Legal Engine)"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully retrieved the session.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_15","exampleIds":["paths/~1api~1builder~1sessions~1{session_id}/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_15","exampleIds":["paths/~1api~1builder~1sessions~1{session_id}/get/responses/200/content/application~1json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1builder~1sessions~1{session_id}/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1builder~1sessions~1{session_id}/get/responses/404/content/application~1json/example"]}],"pointer":"/paths/~1api~1builder~1sessions~1{session_id}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_15","exampleIds":["paths/~1api~1builder~1sessions~1{session_id}/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_15","exampleIds":["paths/~1api~1builder~1sessio
[...]
